- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ThreadSpecificData Class Reference

List of all members.

## Detailed Description

This class contains all the thread-specific data in use by log4cxx.

## Public Member Functions
| ThreadSpecificData ()
| ~ThreadSpecificData ()
void | recycle ()
| Release this ThreadSpecficData if empty.
log4cxx::NDC::Stack & | getStack ()
log4cxx::MDC::Map & | getMap ()
## Static Public Member Functions
static ThreadSpecificData * | getCurrentData ()
| Gets current thread specific data.
static void | put (const LogString &key, const LogString &val)
static void | push (const LogString &val)
static void | inherit (const log4cxx::NDC::Stack &stack)

## Constructor & Destructor Documentation

ThreadSpecificData | ( |  | ) |

~ThreadSpecificData | ( |  | ) |

## Member Function Documentation

static ThreadSpecificData* getCurrentData | ( |  | ) | `[static]`

| Gets current thread specific data. Returns: thread specific data, may be null.

log4cxx::MDC::Map& getMap | ( |  | ) |

log4cxx::NDC::Stack& getStack | ( |  | ) |

static void inherit | ( | const log4cxx::NDC::Stack & | stack | ) | `[static]`

static void push | ( | const LogString & | val | ) | `[static]`

static void put | ( | const LogString & | key,
|  | const LogString & | val
| ) | `[static]`

void recycle | ( |  | ) |

| Release this ThreadSpecficData if empty.

The documentation for this class was generated from the following file:

- threadspecificdata.h